import { Card } from './Card';
export declare type validNumberOfCards = 40 | 52;
export declare class DeckOfCards {
    deck: Card[];
    cardsDrawn: Card[];
    numberOfCards: validNumberOfCards;
    constructor(numberOfCards?: validNumberOfCards);
    buildDeck(): void;
    drawCard(): Card;
    shuffleDeck(times?: number): void;
    isEmpty(): boolean;
}
