export declare type Suite = "hearts" | "spades" | "diamonds" | "clubs";
export declare type Rank = "2" | "3" | "4" | "5" | "6" | "7" | "8" | "9" | "10" | "J" | "Q" | "K" | "A";
export declare const valueCards: {
    2: number;
    3: number;
    4: number;
    5: number;
    6: number;
    7: number;
    8: number;
    9: number;
    10: number;
    J: number;
    Q: number;
    K: number;
    A: number;
};
export declare class Card {
    rank: Rank;
    suite: Suite;
    value: number;
    unicode: string;
    constructor(rank: Rank, suite: Suite);
    compare: (otherCard: Card) => 1 | 0 | -1;
    isSameCard: (otherCard: Card) => boolean;
}
