import { Card } from "../../Card";
/**
 * Class that defines a "Hand" of cards in a Higher/Lower game.
  
  Constructor accepts an array of cards
  
  Exports methods:
    * valueHand(),
    * toString(),
    * numberOfCards(),
    * valueCardsArray()
 */
export declare class HandHol {
    cards?: Card[];
    constructor(cards?: Card[]);
    get numberOfCards(): number;
    get valueCardsArray(): number[];
    get valueHand(): number;
    toString(): string;
}
